#pragma once
#include "lua.h"

/* Standard lua stuff wrappers. */
lua_State* llua_newState (void); /* Creates a new state */
int llua_load(lua_State* L, lua_CFunction f);
int llua_loadBasic(lua_State* L);

/* Individual custom libraries. */
int lua_loadLephisto(lua_State* L);   /* Always read only. */
int lua_loadSpace(lua_State* L, int readonly);
int lua_loadTime(lua_State* L, int readonly);
int lua_loadRnd(lua_State* L);        /* Always read only. */
int lua_loadTk(lua_State* L);         /* Always read only. */

